TokyoTyrantTable::add
TokyoTyrantTable::get
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::genUid

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantTable::genUid — Generate unique id

### Description

public int TokyoTyrantTable::genUid ( void )

Generates an unique id inside the table database. In table databases rows are referenced using a numeric primary key.

### Parameters

This function has no parameters.

### Return Values

Returns an unique id or throws TokyoTyrantException on error

### Examples

Example #1 TokyoTyrantTable::genUid() example

`<?php
$tt = new TokyoTyrantTable("localhost", 1122);
echo $tt->genUid();
?>`

The above example will output something similar to:

    4

### See Also

- TokyoTyrantTable::put() - Store a row

TokyoTyrantTable::add
TokyoTyrantTable::get
TokyoTyrantTable
PHP Manual